please upgrade for T3.0 Rated 1 out of 5 stars

This version doesn't work in T3.0 (((((